std::bernoulli_distribution(3)

NAME
std::bernoulli_distribution - A Bernoulli random number distribution.

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef bool result_type

  Public Member Functions
bernoulli_distribution ()
Constructs a Bernoulli distribution with likelihood 0.5.
bernoulli_distribution (const param_type &__p)
bernoulli_distribution (double __p)
Constructs a Bernoulli distribution with likelihood p.
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
double p () const
Returns the p parameter of the distribution.
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()
Resets the distribution state.

  Friends
bool operator== (const bernoulli_distribution &__d1, const bernoulli_distribution &__d2)
Return true if two Bernoulli distributions have the same parameters.

Detailed Description

A Bernoulli random number distribution. Generates a sequence of true and false values with likelihood $p$ that true will come up and $(1 - p)$ that false will appear.

Definition at line 3512 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.